import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);

const privilegeMapData = window.sessionStorage.getItem("vs_privilegeMap");
const privilegeMap = privilegeMapData ? JSON.parse(privilegeMapData).value : {};

export default new Vuex.Store({
  state: {
    user: {},
    privilegeMap,
  },
  mutations: {
    setUser(state, user) {
      state.user = user;
    },
    setPrivilegeMap(state, privilegeMap) {
      state.privilegeMap = privilegeMap;
    },
  },
  actions: {},
  modules: {},
});
